package auth

import (
	"gitea.com/macaron/binding"
	"gitea.com/macaron/macaron"
)

// CreateDatasetForm form for dataset page
type CreateCloudBrainForm struct {
	JobName string `form:"job_name" binding:"Required"`
	Image   string `binding:"Required"`
	Command string `binding:"Required"`
}

func (f *CreateCloudBrainForm) Validate(ctx *macaron.Context, errs binding.Errors) binding.Errors {
	return validate(errs, ctx.Data, f, ctx.Locale)
}
