package timer

import (
	"time"

	"code.gitea.io/gitea/routers/repo"
)

const (
	DecompressTimer = time.Minute * 10
)

func init() {
	ticker := time.NewTicker(DecompressTimer)
	go func() {
		for {
			<-ticker.C
			repo.HandleUnDecompressAttachment()
		}
	}()
}
